<div class="container">
  <div class="col-md-12">
    <div class="col-md-3">
      <h2>{{data.currentCity=="Cities"?"All Events":"Events in "+data.currentCity}}</h2>
    </div>

    <div class="col-md-9 form-group">
      <br>
      <div class="col-md-4 padding-right-0">
        <input type="text" class="form-control" [(ngModel)]="data.searchText" [ngModelOptions]="{standalone: true}">
      </div>
      <div class="col-md-2  padding-left-0">
        <button class="btn btn-primary">Search</button>
      </div>
    </div>
  </div>
  <hr class="col-md-12">

  <div class="col-md-12">

    <div class="col-md-3">
      <accordion>
        <accordion-group [isOpen]="true">
          <div accordion-heading>
            Event Category
            <span class="pull-right">
              <span class="caret"></span>
            </span>
          </div>
          <!-- {{data.eventCategories | json}} -->
          <div *ngFor="let category of data?.eventCategories">
            <input type="radio" [value]="category.id" [(ngModel)]="data.selectedCategoryId"> {{category.name}}
            <br>
          </div>

        </accordion-group>
        <!-- {{data.dateCategories}} -->

        <accordion-group [isOpen]="true">
          <div accordion-heading>
            Period
            <span class="pull-right">
              <span class="caret"></span>
            </span>
          </div>
          <div *ngFor="let date of data.dateCategories">
            <input type="radio" [value]="date" [(ngModel)]="data.selectedDateCategory"> {{date}}
            <br>
          </div>

        </accordion-group>

        <accordion-group [isOpen]="true">
          <div accordion-heading>
            Event Type
            <span class="pull-right">
              <span class="caret"></span>
            </span>
          </div>
          <input type="radio" value="Both" [(ngModel)]="data.selectedEventType"> Both
          <br>
          <input type="radio" value="Free" [(ngModel)]="data.selectedEventType"> Free
          <br>
          <input type="radio" value="Paid" [(ngModel)]="data.selectedEventType"> Paid
        </accordion-group>

      </accordion>

    </div>

    <div class="col-md-9">
      <!-- <div *ngFor="let event of data.allEvents | async">{{"Akash "+event.eventid}}</div> -->
      <div class="col-sm-6 col-md-4" *ngFor="let event of data.allEvents | async | filter:data.currentCity:data.searchText:data.selectedCategoryId:data.selectedDateCategory:data.selectedEventType">
        <div class="thumbnail">
          <div class="bg-cover" [style.background]="'url('+event.imgDisplay+')'">
            <!-- <img src="{{event.imgDisplay}}" alt="{{event.title}}"> -->
          </div>
          <div class="caption">
            <h5>{{(event.name.length>22)? (event.name | slice:0:22)+'..':(event.name)}}</h5>
            <!-- <p [innerHTML]="event.description"></p> -->
            <p>
              <a class="btn btn-default" role="button" (click)="data.visitEvent(event)">Know More</a>
              <a class="btn btn-success" role="button" (click)="data.visitBookEvent(event)">Book Now</a>
            </p>
          </div>
        </div>
      </div>
    </div>

  </div>




</div>